Debian Bug report logs - #672557
gnote: new upstream release 0.9.0

version graph

Package: gnote; Maintainer for gnote is Vincent Cheng <vcheng@debian.org>; Source for gnote is src:gnote.

Reported by: Aron Xu <happyaron.xu@gmail.com>

Date: Sat, 12 May 2012 03:27:02 UTC

Severity: wishlist

Tags: wontfix

Fixed in version gnote/0.9.1-1

Done: Vincent Cheng <Vincentc1208@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Cheng <Vincentc1208@gmail.com>:
Bug#672557; Package gnote. (Sat, 12 May 2012 03:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
New Bug report received and forwarded. Copy sent to Vincent Cheng <Vincentc1208@gmail.com>. (Sat, 12 May 2012 03:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnote: new upstream release 0.9.0
Date: Sat, 12 May 2012 11:22:26 +0800
Package: gnote
Severity: wishlist

Dear maintainer,

DEHS shows that there is upstream release 0.9.0 available, would you
consider package it for Wheezy? As freeze is planned in June, upstream
release with significant changes will not go into Wheezy when the
freeze is in effect.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Cheng <Vincentc1208@gmail.com>:
Bug#672557; Package gnote. (Sat, 12 May 2012 03:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Vincent Cheng <Vincentc1208@gmail.com>. (Sat, 12 May 2012 03:51:02 GMT) Full text and rfc822 format available.

Message #10 received at 672557@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 672557@bugs.debian.org, Aron Xu <happyaron.xu@gmail.com>
Cc: control@bugs.debian.org
Subject: Re: Bug#672557: gnote: new upstream release 0.9.0
Date: Fri, 11 May 2012 20:48:51 -0700
tag 672557 wontfix
thanks

On Fri, May 11, 2012 at 8:22 PM, Aron Xu <happyaron.xu@gmail.com> wrote:
> Package: gnote
> Severity: wishlist
>
> Dear maintainer,
>
> DEHS shows that there is upstream release 0.9.0 available, would you
> consider package it for Wheezy? As freeze is planned in June, upstream
> release with significant changes will not go into Wheezy when the
> freeze is in effect.
>
> --
> Regards,
> Aron Xu
>
>

As mentionned on gnote's mailing list [1], gnote 0.9.0 is an unstable
development release and not suitable for production environments, so I
have no intention of packaging it for Wheezy. AFAIK, upstream is still
maintaining the gnote 0.8.x branch (a minor release was just made last
month, in fact), and I've already packaged it.

Upstream doesn't seem to have any sort of versioning policy in place
to distinguish between stable/unstable releases, otherwise I would fix
debian/watch to only look for stable gnote releases.

I'll remove the wontfix tag once 1) a stable gnote 0.9.x release is
made, or 2) after wheezy is released, whichever comes first.

Vincent

[1] http://mail.gnome.org/archives/gnote-list/2012-March/msg00000.html




Added tag(s) wontfix. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sat, 12 May 2012 03:51:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 21 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Vincent Cheng <Vincentc1208@gmail.com>:
You have taken responsibility. (Fri, 10 Aug 2012 06:06:07 GMT) Full text and rfc822 format available.

Notification sent to Aron Xu <happyaron.xu@gmail.com>:
Bug acknowledged by developer. (Fri, 10 Aug 2012 06:06:07 GMT) Full text and rfc822 format available.

Message #19 received at 672557-close@bugs.debian.org (full text, mbox):

From: Vincent Cheng <Vincentc1208@gmail.com>
To: 672557-close@bugs.debian.org
Subject: Bug#672557: fixed in gnote 0.9.1-1
Date: Fri, 10 Aug 2012 06:02:51 +0000
Source: gnote
Source-Version: 0.9.1-1

We believe that the bug you reported is fixed in the latest version of
gnote, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672557@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Cheng <Vincentc1208@gmail.com> (supplier of updated gnote package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 19 Jul 2012 23:25:24 -0700
Source: gnote
Binary: gnote
Architecture: source amd64
Version: 0.9.1-1
Distribution: experimental
Urgency: low
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Changed-By: Vincent Cheng <Vincentc1208@gmail.com>
Description: 
 gnote      - desktop note taking program using Wiki style links
Closes: 672557
Changes: 
 gnote (0.9.1-1) experimental; urgency=low
 .
   * Upload to experimental.
   * New upstream development release. (Closes: #672557)
     - Add versioned build-depends on libgtkmm-3.0-dev (>= 3.4).
     - Add build-depends on libgnome-keyring-dev.
     - Remove build-depends on libpanel-applet-4-dev (upstream dropped support
       for panel applet).
   * Enable verbose build.
   * Add lintian overrides for hardening-no-fortify-functions and
     package-name-doesnt-match-sonames.
   * Add DM-Upload-Allowed: yes in d/control (as per agreement with sponsor).
Checksums-Sha1: 
 60c230a9d77168337664cfaf0016465743da9936 2214 gnote_0.9.1-1.dsc
 983ebd7a758a06149e4b1e020136e146af84516f 2419496 gnote_0.9.1.orig.tar.xz
 3493bffcc555853257f2aa4fbce82cc98067f504 6296 gnote_0.9.1-1.debian.tar.gz
 5379f0f2d7eb9acb655c57fd58cf5e94e2cf262d 3636296 gnote_0.9.1-1_amd64.deb
Checksums-Sha256: 
 722d2bedf2db0e78f7089b4016dc754a8fa32fabce7719203a8a93b3f31aa667 2214 gnote_0.9.1-1.dsc
 81131e86b9d47892d97b3f8e41d6508a34a9752d7d0e7a98717878ae45d864bc 2419496 gnote_0.9.1.orig.tar.xz
 38348bc947854a30e0a16019f1a96223efe36e0f7318e3d090fa0d4e9b214153 6296 gnote_0.9.1-1.debian.tar.gz
 bc5911c3c3e795b4995cb2f807459e56df5eb687358062823533e71ea1ad3f7b 3636296 gnote_0.9.1-1_amd64.deb
Files: 
 c199312a41cd1d1bff1cd0c8e0dd72f1 2214 gnome optional gnote_0.9.1-1.dsc
 57d1a08c786cce424568b92347b9aa34 2419496 gnome optional gnote_0.9.1.orig.tar.xz
 c94d10686df8eb62217070224c405e0d 6296 gnome optional gnote_0.9.1-1.debian.tar.gz
 bbd78a1cf4dc5ec78d746af404130000 3636296 gnome optional gnote_0.9.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJQJBrVAAoJELNGT4lqoVlI1PIP/RaTiJKAYiKOAdS5i8FzgBiV
setaQYqzpcsaJ3fFKYMqwQgdHf1UNrNmibgy7B7+m2SiTRyXc5K148Dv+wbxjRbg
/XBjMDn/NOrCv8s86IHejpBaliuTjO+vWAPBSFfvzRErveQGo5rFyPvjTN5eLYFn
Tnqs3W1dFaiE3QXtZO9gNTTYgVwCvwTZzTXDUdsxZQfvhKvyGLONJEFcFkQtokwQ
xPTH/E8u4OTWPZ0aKFgl0P/3iFJMZUPtuwU6OAvA4b/T8SfqEJwqK0qVxK0sBQqv
NHL4Zek1Fz/XTWJxANR+jQYiJV5D7xnk7DlRbwPyBHCTxBRah2yOeNf9cW8nW8do
glW0fQIjiQ0KZBLACEUHh01mNnEtSPNPreux8/ATfNF/sd/U55Of7Gw+SpUa+QJ4
IX0ln7QZ//R6EJOkTCKNNpMEqXCbFriM6YaoxFZjIbPnENPuFv+yhwzfUZkcUmZ+
Au8HWK1EDXS8x9ywGQUBQfNVd3jAv+weY6A97kZdwPGHmNa+0xu/JXdvoeLKPbWs
VAybow8Txb3qKbP2QM9awU51zcSMPMkhsphRR15OoxKmHhHZIIuEUWdYUOuuvryc
2G7OYRaGGhmvwgDxg5TuzeeEehrJqereRgRKFnvVnBKfFCllzP7tv2nE2o7rkxzG
B1FuNleDZgqnqxtCdlm2
=ety7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:40:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:55:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.